Bug 956145 - (CVE-2013-3235) CVE-2013-3235 Kernel: tipc: info leaks via msg_name in recv_msg/recv_stream
CVE-2013-3235 Kernel: tipc: info leaks via msg_name in recv_msg/recv_stream
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130407,reported=2...
: Security
Depends On: 956148 956149
Blocks: 858947
  Show dependency treegraph
 
Reported: 2013-04-24 06:48 EDT by Prasad J Pandit
Modified: 2015-07-31 03:05 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 13:50:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-04-24 06:48:53 EDT
Linux kernel built with the The Transparent Inter Process Communication
(CONFIG_TIPC) protocol support is vulnerable to an information leakage flaw.
It occurs while receiving messages via recvmsg(2) socket call.

A user/program could use this flaw to leak kernel memory bytes.

Upstream fix:
-------------
 -> http://git.kernel.org/linus/60085c3d009b0df252547adb336d1ccca5ce52ec

Reference:
----------
 -> www.openwall.com/lists/oss-security/2013/04/14/3
Comment 1 Prasad J Pandit 2013-04-24 06:53:11 EDT
Statement:

This issue does not affect the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.

This issue affects the version of the kernel package as shipped with
Red Hat Enterprise Linux 5. Future kernel updates for Red Hat Enterprise Linux 5
may address this issue.
Comment 3 errata-xmlrpc 2013-07-09 23:57:00 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1034 https://rhn.redhat.com/errata/RHSA-2013-1034.html

Note You need to log in before you can comment on or make changes to this bug.